## mx4j.tools.adaptor.rmi.iiop
Class IIOPAdaptorMBeanDescription

    java.lang.Object
      mx4j.MBeanDescriptionAdapter
          mx4j.tools.adaptor.rmi.RMIAdaptorMBeanDescription
              mx4j.tools.adaptor.rmi.iiop.IIOPAdaptorMBeanDescription

All Implemented Interfaces:
  MBeanDescription

public class IIOPAdaptorMBeanDescription
extends RMIAdaptorMBeanDescription

Management interface descriptions for the IIOPAdaptor MBean.

Version:
  $Revision: 1.3 $

Constructor Summary
`IIOPAdaptorMBeanDescription()`

Method Summary
`java.lang.String` `getConstructorDescription(java.lang.reflect.Constructor ctor)` Should return the description for the given constructor of the MBean.
`java.lang.String` `getMBeanDescription()` Should return the description of the MBean.

Methods inherited from class mx4j.tools.adaptor.rmi.RMIAdaptorMBeanDescription
`getAttributeDescription, getOperationDescription, getOperationParameterDescription, getOperationParameterName`

Methods inherited from class mx4j.MBeanDescriptionAdapter
`getConstructorParameterDescription, getConstructorParameterName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IIOPAdaptorMBeanDescription

    public IIOPAdaptorMBeanDescription()

Method Detail

### getMBeanDescription

    public java.lang.String getMBeanDescription()

  Description copied from interface: `MBeanDescription`
  Should return the description of the MBean. For example: "This MBean is the rmiregistry service"

  Specified by:
    `getMBeanDescription` in interface `MBeanDescription`
  Overrides:
    `getMBeanDescription` in class `MBeanDescriptionAdapter`

### getConstructorDescription

    public java.lang.String getConstructorDescription(java.lang.reflect.Constructor ctor)

  Description copied from interface: `MBeanDescription`
  Should return the description for the given constructor of the MBean. For example: "Creates an rmiregistry instance on the specified port"

  Specified by:
    `getConstructorDescription` in interface `MBeanDescription`
  Overrides:
    `getConstructorDescription` in class `MBeanDescriptionAdapter`

Copyright © 2001-2003 MX4J Team. All Rights Reserved.